//自定义 request 方法
const host = 'https://api.jiuweiyun.cn'
// const host = 'https://zhengbasai.dake.club'
// const host = 'http://192.168.0.4:8080'
const baseURL = '/api'

const testNetworkType = store => {
	if (store.state.networkType === 'none' || store.state.networkType === 'unknown') {
		return false
	} else {
		return true
	}
}
//将 ajax 方法封装成为一个函数，接受 vuex 作为参数。
//利用闭包保存 vuex 数据，使得 ajax 函数返回的对象中的 get 和 post 方法 能够在每次请求时获取到 vuex 中保存的 token
export default store => {
	return {
		get(url) {
			if (testNetworkType(store)) {
				return uni.request({
					url: `${host}${baseURL}${url}`,
					method: 'GET',
					header: {
						Authorization: 'Bearer ' + store.state.userServerInfo.token
					}
				})
			} else {
				uni.showToast({ title: '似乎已经断开网络连接', icon: 'none' })
				return Promise.reject()
			}
		},
		post(url, data) {
			if (testNetworkType(store)) {
				return uni.request({
					url: `${host}${baseURL}${url}`,
					method: 'POST',
					data,
					header: {
						Authorization: 'Bearer ' + store.state.userServerInfo.token
					}
				})
			} else {
				uni.showToast({ title: '似乎已经断开网络连接', icon: 'none' })
				return Promise.reject()
			}
		},
		upload(url, name, filePath, formData, success) {
			if (testNetworkType(store)) {
				return uni.uploadFile({
					url: `${host}${baseURL}${url}`,
					filePath,
					name,
					formData,
					header: {
						Authorization: 'Bearer ' + store.state.userServerInfo.token
					},
					success
				})
			} else {
				uni.showToast({ title: '似乎已经断开网络连接', icon: 'none' })
				return Promise.reject()
			}
		}
	}
}